Detailed information about exception (or error) that was thrown during script compilation or execution.

### Hierarchy

- ExceptionDetails

## Index

### Properties

- columnNumber
- exception
- exceptionId
- executionContextId
- lineNumber
- scriptId
- stackTrace
- text
- url

## Properties

### columnNumber

columnNumber: number

- Defined in node_modules/@types/node/inspector.d.ts:1389

Column number of the exception location (0-based).

### Optional exception

exception: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:1405

Exception object if available.

### exceptionId

exceptionId: number

- Defined in node_modules/@types/node/inspector.d.ts:1377

Exception id.

### Optional executionContextId

executionContextId: ExecutionContextId

- Defined in node_modules/@types/node/inspector.d.ts:1409

Identifier of the context where exception happened.

### lineNumber

lineNumber: number

- Defined in node_modules/@types/node/inspector.d.ts:1385

Line number of the exception location (0-based).

### Optional scriptId

scriptId: ScriptId

- Defined in node_modules/@types/node/inspector.d.ts:1393

Script ID of the exception location.

### Optional stackTrace

stackTrace: StackTrace

- Defined in node_modules/@types/node/inspector.d.ts:1401

JavaScript stack trace if available.

### text

text: string

- Defined in node_modules/@types/node/inspector.d.ts:1381

Exception text, which should be used together with exception object when available.

### Optional url

url: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1397

URL of the exception location, to be used when the script was not reported.

Generated using TypeDoc